## burner-enums

burner-enums

## Functions

#define | BURNER_STREAM_FORMAT_AUDIO()
#define | BURNER_STREAM_FORMAT_VIDEO()
#define | BURNER_STREAM_LENGTH()
#define | BURNER_STREAM_FORMAT_HAS_VIDEO()

## Types and Values

enum | BurnerBurnResult
enum | BurnerBurnFlag
enum | BurnerBurnAction
enum | BurnerImageFS
enum | BurnerStreamFormat
#define | BURNER_MIN_STREAM_LENGTH
enum | BurnerImageFormat

## Description

## Functions

### BURNER_STREAM_FORMAT_AUDIO()

    #define BURNER_STREAM_FORMAT_AUDIO(stream_FORMAT) ((stream_FORMAT) & 0x087F)

### BURNER_STREAM_FORMAT_VIDEO()

    #define BURNER_STREAM_FORMAT_VIDEO(stream_FORMAT) ((stream_FORMAT) & 0x0380)

### BURNER_STREAM_LENGTH()

    #define             BURNER_STREAM_LENGTH(start_MACRO, end_MACRO)

### BURNER_STREAM_FORMAT_HAS_VIDEO()

    #define             BURNER_STREAM_FORMAT_HAS_VIDEO(format_MACRO)

## Types and Values

### enum BurnerBurnResult

#### Members

BURNER_BURN_OK |  |
BURNER_BURN_ERR |  |
BURNER_BURN_RETRY |  |
BURNER_BURN_CANCEL |  |
BURNER_BURN_RUNNING |  |
BURNER_BURN_DANGEROUS |  |
BURNER_BURN_NOT_READY |  |
BURNER_BURN_NOT_RUNNING |  |
BURNER_BURN_NEED_RELOAD |  |
BURNER_BURN_NOT_SUPPORTED |  |

### enum BurnerBurnFlag

#### Members

BURNER_BURN_FLAG_NONE |  |
BURNER_BURN_FLAG_CHECK_SIZE |  |
BURNER_BURN_FLAG_NOGRACE |  |
BURNER_BURN_FLAG_EJECT |  |
BURNER_BURN_FLAG_MERGE |  |
BURNER_BURN_FLAG_MULTI |  |
BURNER_BURN_FLAG_APPEND |  |
BURNER_BURN_FLAG_BURNPROOF |  |
BURNER_BURN_FLAG_NO_TMP_FILES |  |
BURNER_BURN_FLAG_DUMMY |  |
BURNER_BURN_FLAG_OVERBURN |  |
BURNER_BURN_FLAG_BLANK_BEFORE_WRITE |  |
BURNER_BURN_FLAG_FAST_BLANK |  |
BURNER_BURN_FLAG_DAO |  |
BURNER_BURN_FLAG_RAW |  |
BURNER_BURN_FLAG_LAST |  |

### enum BurnerBurnAction

#### Members

BURNER_BURN_ACTION_NONE |  |
BURNER_BURN_ACTION_GETTING_SIZE |  |
BURNER_BURN_ACTION_CREATING_IMAGE |  |
BURNER_BURN_ACTION_RECORDING |  |
BURNER_BURN_ACTION_BLANKING |  |
BURNER_BURN_ACTION_CHECKSUM |  |
BURNER_BURN_ACTION_DRIVE_COPY |  |
BURNER_BURN_ACTION_FILE_COPY |  |
BURNER_BURN_ACTION_ANALYSING |  |
BURNER_BURN_ACTION_TRANSCODING |  |
BURNER_BURN_ACTION_PREPARING |  |
BURNER_BURN_ACTION_LEADIN |  |
BURNER_BURN_ACTION_RECORDING_CD_TEXT |  |
BURNER_BURN_ACTION_FIXATING |  |
BURNER_BURN_ACTION_LEADOUT |  |
BURNER_BURN_ACTION_START_RECORDING |  |
BURNER_BURN_ACTION_FINISHED |  |
BURNER_BURN_ACTION_EJECTING |  |
BURNER_BURN_ACTION_LAST |  |

### enum BurnerImageFS

#### Members

BURNER_IMAGE_FS_NONE |  |
BURNER_IMAGE_FS_ISO |  |
BURNER_IMAGE_FS_UDF |  |
BURNER_IMAGE_FS_JOLIET |  |
BURNER_IMAGE_FS_VIDEO |  |
BURNER_IMAGE_FS_SYMLINK |  |
BURNER_IMAGE_ISO_FS_LEVEL_3 |  |
BURNER_IMAGE_ISO_FS_DEEP_DIRECTORY |  |
BURNER_IMAGE_FS_ANY |  |

### enum BurnerStreamFormat

#### Members

BURNER_AUDIO_FORMAT_NONE |  |
BURNER_AUDIO_FORMAT_UNDEFINED |  |
BURNER_AUDIO_FORMAT_DTS |  |
BURNER_AUDIO_FORMAT_RAW |  |
BURNER_AUDIO_FORMAT_AC3 |  |
BURNER_AUDIO_FORMAT_MP2 |  |
BURNER_AUDIO_FORMAT_44100 |  |
BURNER_AUDIO_FORMAT_48000 |  |
BURNER_VIDEO_FORMAT_UNDEFINED |  |
BURNER_VIDEO_FORMAT_VCD |  |
BURNER_VIDEO_FORMAT_VIDEO_DVD |  |
BURNER_METADATA_INFO |  |
BURNER_AUDIO_FORMAT_RAW_LITTLE_ENDIAN |  |

### BURNER_MIN_STREAM_LENGTH

    #define BURNER_MIN_STREAM_LENGTH			((gint64) 6 * 1000000000LL)

### enum BurnerImageFormat

#### Members

BURNER_IMAGE_FORMAT_NONE |  |
BURNER_IMAGE_FORMAT_BIN |  |
BURNER_IMAGE_FORMAT_CUE |  |
BURNER_IMAGE_FORMAT_CLONE |  |
BURNER_IMAGE_FORMAT_CDRDAO |  |
BURNER_IMAGE_FORMAT_ANY |  |